var MultifocalListItem = function(){
return {
view: function(vnode){
var lens = vnode.attrs.lens;
return m('tr', [
            m('td', [ // Strength #1
              m('.form-group', [
                m('select.form-select', [
                  m('option', {value: '0.00'}, '0.00'),
                  m('option', {value: '0.25'}, '0.25'),
                  m('option', {value: '0.50'}, '0.50'),
                  m('option', {value: '0.75'}, '0.75'),
                  m('option', {value: '1.00'}, '1.00'),
                  m('option', {value: '1.25'}, '1.25'),
                  m('option', {value: '1.50'}, '1.50'),
                  m('option', {value: '1.75'}, '1.75'),
                  m('option', {value: '2.00'}, '2.00'),
                  m('option', {value: '2.25'}, '2.25'),
                  m('option', {value: '2.50'}, '2.50'),
                  m('option', {value: '2.75'}, '2.75'),
                  m('option', {value: '3.00'}, '3.00')
                  ])
                ])
              ]),
            m('td', [ // Strength #2
              m('.form-group', [
                m('select.form-select', [
                  m('option', {value: '1.00'}, '1.00'),
                  m('option', {value: '1.25'}, '1.25'),
                  m('option', {value: '1.50'}, '1.50'),
                  m('option', {value: '1.75'}, '1.75'),
                  m('option', {value: '2.00'}, '2.00'),
                  m('option', {value: '2.25'}, '2.25'),
                  m('option', {value: '2.50'}, '2.50'),
                  m('option', {value: '2.75'}, '2.75'),
                  m('option', {value: '3.00'}, '3.00')
                  ])
                ])
              ]),
            m('td', [ // Material
              m('.form-group', [
                m('select.form-select', [
                  m('option', {value: 'cr39'}, 'CR39'),
                  m('option', {value: 'polycarbonate'}, 'Polycarbonate'),
                  m('option', {value: 'blue-bocker'}, 'Blue Bocker'),
                  m('option', {value: 'glass'}, 'Glass')
                  ])
                ])
              ]),
            m('td', [ // Multifocal Type
              m('.form-group', [ 
                m('select.form-select', [
                  m('option', {value: 'progressive'}, 'Progressive'),
                  m('option', {value: 'ft28'}, 'FT28'),
                  m('option', {value: 'blended'}, 'Blended')
                  ])
                ])
              ]),
            m('td', [ // AR Coating
              m('.form-group', [
                m('label.form-checkbox', [
                  m('input', {type: 'checkbox', checked: false}),
                  m('i.form-icon')
                  ]),
                ])
              ]),
            m('td', [ // Photochromatic
              m('.form-group', [
                m('select.form-select', [
                  m('option', {value: ''}, 'None'),
                  m('option', {value: 'photogray'}, 'Photogray'),
                  m('option', {value: 'photobrown'}, 'Photobrown')
                  ])
                ])
              ]),
            m('td', '$3'), // Price
            m('td', [ // Quantity
              m('.form-group.input-group', [
                m('input.form-input', {
                  type: 'text',
                  value: '0'
                  }),
                m('button.btn.btn-primary.input-group-btn', [
                  m('i.icon.icon-delete')
                  ])
                ])
              ])
            ]);
}
};
};

export default MultifocalListItem;